package nckd.jxccl.hr.hstu.plugin.form;

import kd.bos.bill.BillShowParameter;
import kd.bos.bill.OperationStatus;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.form.plugin.AbstractFormPlugin;
import kd.sdk.plugin.Plugin;
import nckd.jxccl.base.common.utils.DateUtil;

import java.util.Date;
import java.util.EventObject;

/**
 * 综合测评问卷-表单插件
 * @author W.Y.C
 * @date 2025/7/13 16:24
 * @version 1.0
 */
public class EvalQuestFormPlugin extends AbstractFormPlugin implements Plugin {

    @Override
    public void afterBindData(EventObject e) {
        super.afterBindData(e);
        BillShowParameter bsp = (BillShowParameter) this.getView().getFormShowParameter();
        if (bsp.getStatus() == OperationStatus.EDIT) {
            //查看状态下不会触发业务规则，需要手动处理业务规则的逻辑
            DynamicObject evaluationRule = (DynamicObject)this.getModel().getValue("nckd_evaluationrule");
            Date date = evaluationRule.getDate("NCKD_BIZYEAR");
            this.getModel().setValue("nckd_bizyear", DateUtil.getYear(date));
        }
    }
}